## nmap 7.40

=== mswin32/Makefile ===
MAKENSIS="/cygdrive/c/Program Files/NSIS/makensis.exe"
VCEXPRESS := $(shell reg query "HKEY_CLASSES_ROOT\\Applications\\devenv.exe\\shell\\edit\\command" | egrep -i '[A-Z]:\\' | cut -d\" -f2 | sed 's%\\%/%g' | tr -d '\n')
SIGNTOOL := $(shell reg query "HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\Microsoft SDKs\\Windows\\v8.1" /v "InstallationFolder" | egrep InstallationFolder | cut -d ' ' -f13- | sed 's%\\%/%g' | tr -d '\n' | sed 's%$$%bin/x86/signtool.exe%')
export NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
export NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
export NPCAP_VERSION := $(shell ls npcap-*.exe | sed -e 's/npcap-\([-r0-9.]*\)\.exe/\1/' -e 'q')
COMMA_VERSION=$(shell echo $(NMAP_NUM_VERSION) | tr '.' ',')
LOGLOC=c:nmapbuild.log
NSE_FILES = scripts/script.db scripts/*.nse
NMAP_MSWIN32_AUX = ../../nmap-mswin32-aux
SIGNTOOL_ARGS = sign /a /n "Insecure.Com LLC" /tr http://timestamp.digicert.com /td sha256 /fd sha256
# escape quotes for NSIS
# escape for right side of sed regex replace
SIGNTOOL_SUBST = $(shell echo '"$(SIGNTOOL)" $(SIGNTOOL_ARGS)' | sed -e 's/"/$$\\"/g' -e 's/[\/&]/\\&/g' )

winbuild: nmap.rc nsis/Nmap.nsi LICENSE
# VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express

	"$(VCEXPRESS)" nmap.sln /build release /out $(LOGLOC)
	"$(VCEXPRESS)" nmap.sln /build release /project nmap-update /out $(LOGLOC)
	rm -rf nmap-$(NMAP_VERSION)
	rm -f nmap-$(NMAP_VERSION)-win32.zip
	mkdir nmap-$(NMAP_VERSION)
	cd Release && cp -r ../../CHANGELOG ../../COPYING nmap-mac-prefixes nmap-os-db nmap-payloads nmap-protocols nmap-rpc nmap-service-probes nmap-services nmap.exe nmap.xsl nse_main.lua ../nmap_performance.reg ../../README-WIN32 ../../docs/3rd-party-licenses.txt ../nmap-$(NMAP_VERSION)/
# Use "cmd /c copy" rather than "cp" to preserve Windows ACLs. Using
# "cp" means that the copied DLLs don't have the same ACL and cause an
# error on startup: 0xc0000022.
	cmd /c copy $(subst /,\\,$(NMAP_MSWIN32_AUX))\\OpenSSL\\bin\\*.dll nmap-$(NMAP_VERSION)
	mkdir nmap-$(NMAP_VERSION)/scripts
	cd Release && cp -f $(NSE_FILES) ../nmap-$(NMAP_VERSION)/scripts/
	cd Release && for f in `find nselib -name .svn -prune -o -type d -print`; do \
		mkdir -p ../nmap-$(NMAP_VERSION)/$$f; \
	done
	cd Release && for f in `find nselib -name .svn -prune -o -type f -print`; do \
		cp -f $$f ../nmap-$(NMAP_VERSION)/$$f; \
	done
	cd Release && cp -r ../../docs/licenses ../nmap-$(NMAP_VERSION)/
	rm -rf nmap-$(NMAP_VERSION)/licenses/.svn
	cp npcap-$(NPCAP_VERSION).exe nmap-$(NMAP_VERSION)
	cp $(NMAP_MSWIN32_AUX)/vcredist_x86.exe nmap-$(NMAP_VERSION)
	cp $(NMAP_MSWIN32_AUX)/vcredist2008_x86.exe nmap-$(NMAP_VERSION)
	cp ../ncat/Release/ncat.exe nmap-$(NMAP_VERSION)
	cp ../ncat/Release/ca-bundle.crt nmap-$(NMAP_VERSION)
	cp ../nping/Release/nping.exe nmap-$(NMAP_VERSION)
	cp ../nmap-update/Release/nmap-update.exe nmap-$(NMAP_VERSION)
# Install the ndiff batch file wrapper in the zip distribution.
	cp ../ndiff/ndiff.py nmap-$(NMAP_VERSION)/ndiff.py
	cp python-wrap.bat nmap-$(NMAP_VERSION)/ndiff.bat
	"$(SIGNTOOL)" $(SIGNTOOL_ARGS) nmap-$(NMAP_VERSION)/nmap.exe nmap-$(NMAP_VERSION)/ncat.exe nmap-$(NMAP_VERSION)/nping.exe nmap-$(NMAP_VERSION)/nmap-update.exe
	zip -r nmap-$(NMAP_VERSION)-win32.zip nmap-$(NMAP_VERSION)
# Remove ndiff.py and ndiff.bat for the installer because it has ndiff.exe.
	rm -f nmap-$(NMAP_VERSION)/ndiff.py nmap-$(NMAP_VERSION)/ndiff.bat
	cd ../zenmap && install_scripts/windows/copy_and_compile.bat
	cp -R ../zenmap/dist/* nmap-$(NMAP_VERSION)/
	"$(SIGNTOOL)" $(SIGNTOOL_ARGS) nmap-$(NMAP_VERSION)/ndiff.exe nmap-$(NMAP_VERSION)/zenmap.exe
	cp ../zenmap/README nmap-$(NMAP_VERSION)/ZENMAP_README
	cp ../zenmap/COPYING_HIGWIDGETS nmap-$(NMAP_VERSION)
	cp ../ndiff/README nmap-$(NMAP_VERSION)/NDIFF_README
	cp nsis/AddToPath.nsh nsis/Nmap.nsi nsis/shortcuts.ini nsis/final.ini nmap-$(NMAP_VERSION)
	$(MAKENSIS) nmap-$(NMAP_VERSION)/Nmap.nsi
	mv nmap-$(NMAP_VERSION)/NmapInstaller.exe nmap-$(NMAP_VERSION)-setup.exe
	"$(SIGNTOOL)" $(SIGNTOOL_ARGS) nmap-$(NMAP_VERSION)-setup.exe

nmap.rc: nmap.rc.in ../nmap.h
	sed -e '1i// Automatically generated from $<.' \
	     -e 's/@@FILEVERSION@@/"$(NMAP_VERSION)\\0"/' \
	     -e 's/@@COMMAVERSION@@/$(COMMA_VERSION)/' \
	     "$<" > "$@"

nsis/Nmap.nsi: nsis/Nmap.nsi.in ../nmap.h
	test -n "$(NPCAP_VERSION)" # Make sure NPcap is present
	sed -e '1i; Automatically generated from $<.' \
	     -e 's/@@VIPRODUCTVERSION@@/"$(NMAP_NUM_VERSION)"/' \
	     -e 's/@@VERSION@@/"$(NMAP_VERSION)"/' \
	     -e 's/@@NPCAP_VERSION@@/$(NPCAP_VERSION)/' \
	     -e 's/@@SIGNTOOL@@/$(SIGNTOOL_SUBST)/' \
	     "$<" > "$@"

LICENSE: ../COPYING
	./license-format/licformat.sh "$<" > "$@"

clean:
	"$(VCEXPRESS)" nmap.sln /clean
	rm -rf Debug Release nmapbuild.log nmap.rc nsis/Nmap.nsi LICENSE

=== debian/changelog ===
nmap (7.40-1) unstable; urgency=medium

  * New upstream version 7.40.
  * debian/patches:
    - 0001-use-su-to-root.patch: Refresh patch.
    - 0004-zenmap-desktop.patch: Remove patch, applied upstream.
  * debian/watch: Bump to v4.

 -- Samuel Henrique <samueloph@gmail.com>  Thu, 22 Dec 2016 00:52:47 -0200

nmap (7.31-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add debian/gbp.conf file

  [ Samuel Henrique ]
  * Bump DH level to 10.
  * Add myself as an uploader.
  * debian/control: Remove dh-autoreconf, now a dependency of DH 10.
  * debian/patches:
    - 0004-zenmap-desktop.patch: New patch to remove Encoding key and add
      Keywords entry for zenmap's desktop files, sent upstream.
  * debian/rules:
    - Avoid useless dependencies with "-Wl,--as-needed".
    - Enable all hardening flags with "hardening=+all".
    - Remove "--parallel" parameter, default on DH 10.
  * wrap-and-sort -a.

  [ Hilko Bengen ]
  * Add manpage links for zenmap links (nmapfe, nmap)

 -- Hilko Bengen <bengen@debian.org>  Wed, 30 Nov 2016 20:41:51 +0100

nmap (7.31-1) unstable; urgency=medium

  * New upstream version 7.31

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Oct 2016 23:26:37 +0200

nmap (7.30-1) unstable; urgency=medium

  * New upstream version 7.30
  * Rework patches
  * Update build-dependencies, bump Standards-Version
  * Further work will be done as part of the Debian Security Tools
    Packaging Team.

 -- Hilko Bengen <bengen@debian.org>  Sat, 08 Oct 2016 12:39:07 +0200

nmap (7.12-2) unstable; urgency=medium

  * Update python-gobject dependency
  * Use upstream patch to fix #821913 (Closes: #834546)

 -- Hilko Bengen <bengen@debian.org>  Sun, 04 Sep 2016 22:16:15 +0200

=== debian/control ===
Source: nmap
Section: net
Priority: extra
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
           Samuel Henrique <samueloph@gmail.com>
Build-Depends: bison,
               debhelper (>=10),
               dh-python,
               flex,
               libgtk2.0-dev,
               liblinear-dev,
               liblua5.3-dev,
               libpcap0.8-dev,
               libpcre3-dev,
               libssl-dev,
               lua-lpeg-dev,
               python (>=2.3.5-7)
Standards-Version: 3.9.8
Homepage: http://nmap.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/nmap.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/nmap.git

Package: nmap
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: ndiff
Description: The Network Mapper
 Nmap is a utility for network exploration or security auditing. It
 supports ping scanning (determine which hosts are up), many port
 scanning techniques, version detection (determine service protocols
 and application versions listening behind ports), and TCP/IP
 fingerprinting (remote host OS or device identification). Nmap also
 offers flexible target and port specification, decoy/stealth scanning,
 sunRPC scanning, and more. Most Unix and Windows platforms are
 supported in both GUI and commandline modes. Several popular handheld
 devices are also supported, including the Sharp Zaurus and the iPAQ.

Package: zenmap
Architecture: all
Depends: nmap,
         python (>= 2.5) | python-pysqlite2,
         python-gobject-2 | python-gobject,
         python-gtk2,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: nmapfe,
          ${python:Provides}
Conflicts: nmapfe
Replaces: nmapfe
Recommends: gksu
Description: The Network Mapper Front End
 Zenmap is an Nmap frontend. It is meant to be useful for advanced users
 and to make Nmap easy to use by beginners. It was originally derived
 from Umit, an Nmap GUI created as part of the Google Summer of Code.

Package: ndiff
Architecture: all
Recommends: nmap
Conflicts: nmap (<< ${source:Version})
Breaks: zenmap (<< 6.47-5~)
Replaces: zenmap (<< 6.47-5~)
Depends: python-lxml,
         ${misc:Depends},
         ${python:Depends}
Description: The Network Mapper - result compare utility
 Ndiff is a tool to aid in the comparison of Nmap scans. It takes two
 Nmap XML output files and prints the differences between them.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/share/man/pt_PT debian/tmp/usr/share/man/pt

override_dh_autoreconf:
	dh_autoreconf autoconf

override_dh_install:
	dh_install --fail-missing -X/usr/bin/uninstall_ -Xca-bundle.crt -X.pyc

## nmap 7.60

=== liblinear/Makefile ===
CXX ?= g++
CC ?= gcc
CFLAGS = -Wall -Wconversion -O3 -fPIC
LIBS = blas/blas.a
SHVER = 1
AR = ar
RANLIB = ranlib
#LIBS = -lblas

all: train predict

lib: linear.o tron.o blas/blas.a
	$(CXX) -shared -dynamiclib linear.o tron.o blas/blas.a -o liblinear.so.$(SHVER)

liblinear.a: linear.o tron.o blas/blas.a
	$(AR) rcv liblinear.a linear.o tron.o blas/*.o
	$(RANLIB) liblinear.a

train: tron.o linear.o train.c blas/blas.a
	$(CXX) $(CFLAGS) -o train train.c tron.o linear.o $(LIBS)

predict: tron.o linear.o predict.c blas/blas.a
	$(CXX) $(CFLAGS) -o predict predict.c tron.o linear.o $(LIBS)

tron.o: tron.cpp tron.h
	$(CXX) $(CFLAGS) -c -o tron.o tron.cpp

linear.o: linear.cpp linear.h
	$(CXX) $(CFLAGS) -c -o linear.o linear.cpp

blas/blas.a:
	cd blas; $(MAKE) OPTFLAGS='$(CFLAGS)' CC='$(CC)';

clean:
	cd blas;	$(MAKE) clean
	rm -f *~ tron.o linear.o train predict liblinear.so.$(SHVER) liblinear.a

=== macosx/Makefile ===
# This makefile builds a disk image (.dmg) containing the installer for Nmap,
# Zenmap, Ncat, and Ndiff.

NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
OSX_VERSION=$(shell sw_vers -productVersion | cut -d'.' -f1,2 | tr -d ' ')
OSX_MIN_VERSION = 10.8

NAME_VERSION = nmap-$(NMAP_VERSION)$(if $(APPENDAGE),-$(APPENDAGE))

IMAGE_NAME = $(NAME_VERSION).dmg
PKG_NAME = $(NAME_VERSION).mpkg

IMAGE_STAGING_DIR = $(NAME_VERSION)

NMAP_BUILD_DIR = nmap-build
NMAP_STAGING_DIR = Nmap

ZENMAP_BUILD_DIR = zenmap-build
ZENMAP_STAGING_DIR = Zenmap

NCAT_BUILD_DIR = ncat-build
NCAT_STAGING_DIR = Ncat

NDIFF_BUILD_DIR = ndiff-build
NDIFF_STAGING_DIR = Ndiff

NPING_BUILD_DIR = nping-build
NPING_STAGING_DIR = Nping

NMAP_UPDATE_BUILD_DIR = nmap-update-build
NMAP_UPDATE_STAGING_DIR = nmap-update

JHBUILD_PREFIX=$(HOME)/gtk/inst
export JHBUILD_PREFIX
PREFIX = /usr/local

# Extra distribution file names
README_FILE = README.md
COPYING_FILE = COPYING
3RD_P_LIC_FILE = 3rd-party-licenses.txt
LICENSES_FILE = licenses

EXTRA_DIST = README.md ../COPYING ../docs/3rd-party-licenses.txt ../docs/licenses

CONFIGURE_ARGS = --prefix="$(PREFIX)" --with-libdnet=included --with-libpcap=included --with-libpcre=included --with-liblua=included CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" PYTHON="$(PYTHON)"

# Flags for building universal binaries. See
# http://developer.apple.com/documentation/Porting/Conceptual/PortingUnix/compiling/chapter_4_section_3.html.
UNIVERSAL_CONFIGURE_ARGS = --disable-dependency-tracking
UNIVERSAL_CC = gcc
UNIVERSAL_CXX = g++
# Setting ARCHFLAGS separately is required. distutils.util.get_platform
# sniffs it to determine whether to return a universal architecture
# ("fat" or "universal") or a single one ("i386" or "ppc"). py2app in
# turn uses the arch value to decide which of its bootstrappers to
# install.
UNIVERSAL_ARCHFLAGS = -arch i386
UNIVERSAL_CPPFLAGS = -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$(OSX_VERSION).sdk
UNIVERSAL_CFLAGS = $(UNIVERSAL_CPPFLAGS) -mmacosx-version-min=$(OSX_MIN_VERSION) $(UNIVERSAL_ARCHFLAGS)
UNIVERSAL_CXXFLAGS = $(UNIVERSAL_CFLAGS)
# https://stackoverflow.com/questions/19637164/c-linking-error-after-upgrading-to-mac-os-x-10-9-xcode-5-0-1/19637199#19637199
UNIVERSAL_LDFLAGS = -stdlib=libstdc++ -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$(OSX_VERSION).sdk -mmacosx-version-min=$(OSX_MIN_VERSION) $(UNIVERSAL_ARCHFLAGS)

CC = $(UNIVERSAL_CC)
CXX = $(UNIVERSAL_CXX)
ARCHFLAGS += $(UNIVERSAL_ARCHFLAGS)
CONFIGURE_ARGS += $(UNIVERSAL_CONFIGURE_ARGS)
CPPFLAGS += $(UNIVERSAL_CPPFLAGS)
CFLAGS += $(UNIVERSAL_CFLAGS)
CXXFLAGS += $(UNIVERSAL_CXXFLAGS)
LDFLAGS += $(UNIVERSAL_LDFLAGS)

# Mac OS options for libraries used by nmap-update
MAC_FLAGS = -lsasl2 -liconv -framework CoreFoundation -framework Security

# Jhbuild static libraries
PYTHON = $(JHBUILD_PREFIX)/bin/python2.7
OPENSSL_STATIC = $(JHBUILD_PREFIX)/lib/libssl.a $(JHBUILD_PREFIX)/lib/libcrypto.a
LIBZ_STATIC = $(JHBUILD_PREFIX)/lib/libz.a
SVN_STATIC = $(JHBUILD_PREFIX)/lib/libsvn_client-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_wc-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_diff-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_delta-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_subr-1.a \
$(JHBUILD_PREFIX)/lib/libexpat.a \
$(JHBUILD_PREFIX)/lib/libsvn_ra-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_ra_svn-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_ra_local-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_fs-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_repos-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_fs_util-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_fs_fs-1.a \
$(JHBUILD_PREFIX)/lib/libsvn_fs_x-1.a \
$(JHBUILD_PREFIX)/lib/libintl.a \
$(JHBUILD_PREFIX)/lib/libsvn_ra_serf-1.a \
$(JHBUILD_PREFIX)/lib/libserf-1.a \
$(JHBUILD_PREFIX)/lib/libz.a \
$(JHBUILD_PREFIX)/lib/libsqlite3.a
APR_STATIC = $(JHBUILD_PREFIX)/lib/libapr-1.a \
$(JHBUILD_PREFIX)/lib/libaprutil-1.a \
$(JHBUILD_PREFIX)/lib/libapriconv-1.a

# These are the positions used by the createdmg.sh and check_test.sh scripts
export ICON_SIZE=88
export FONT_SIZE=13
export MPKG_POS_X=110
export MPKG_POS_Y=170
export APPS_POS_X=110
export APPS_POS_Y=310
export README_POS_X=802
export README_POS_Y=180
export COPYING_POS_X=802
export COPYING_POS_Y=310
export THIRD_P_POS_X=802
export THIRD_P_POS_Y=440
export LICENSES_POS_X=670
export LICENSES_POS_Y=60

$(IMAGE_NAME): tool-checks $(IMAGE_STAGING_DIR)/$(PKG_NAME)
	rm -f $@
	# Create the dmg disk image and convert it to read only disk
	./createdmg.sh $(IMAGE_STAGING_DIR) $(README_FILE) $(COPYING_FILE) $(3RD_P_LIC_FILE) $(LICENSES_FILE)
	# Check the created disk image for the sizes, backgrounds and icons presence and positions
	./check_test.sh $(README_FILE) $(COPYING_FILE) $(3RD_P_LIC_FILE) $(LICENSES_FILE)

tool-checks: have-$(CC) have-jhbuild have-gtk-mac-bundler

have-%:
	which $*

$(IMAGE_STAGING_DIR)/$(PKG_NAME): check-nmap check-ncat check-ndiff check-zenmap check-nping check-nmap-update COPYING.formatted
	mkdir -p $(IMAGE_STAGING_DIR)
	cp -rf $(EXTRA_DIST) $(IMAGE_STAGING_DIR)/
	# Create packages (.pkg) for all the components to install in the installer (.mpkg)
	pkgbuild --root $(NMAP_STAGING_DIR) --identifier org.insecure.nmap --version $(NMAP_VERSION) --install-location / nmap.pkg
	pkgbuild --root $(NCAT_STAGING_DIR) --identifier org.insecure.nmap.ncat --version $(NMAP_VERSION) --install-location / ncat.pkg
	pkgbuild --root $(NDIFF_STAGING_DIR) --identifier org.insecure.nmap.ndiff --version $(NMAP_VERSION) --install-location / ndiff.pkg
	pkgbuild --root $(NPING_STAGING_DIR) --identifier org.insecure.nmap.nping --version $(NMAP_VERSION) --install-location / nping.pkg
	pkgbuild --root $(NMAP_UPDATE_STAGING_DIR) --identifier org.insecure.nmap.nmap-update --version $(NMAP_VERSION) --install-location / nmap-update.pkg
	pkgbuild --root $(ZENMAP_STAGING_DIR) --identifier org.insecure.nmap.zenmap --version $(NMAP_VERSION) --install-location /Applications zenmap.pkg

	# Produce a .xml with packages information
	productbuild --synthesize \
		--package 'nmap.pkg' \
		--package 'ncat.pkg' \
		--package 'ndiff.pkg' \
		--package 'nping.pkg' \
		--package 'nmap-update.pkg' \
		--package 'zenmap.pkg' \
		distribution.xml

	# Make a new file and add background and title attributes
	head -n 2 distribution.xml > finalDist.xml
	echo "    <title>Nmap $(NMAP_VERSION)</title>" >> finalDist.xml
	# This line is for adding a background image to the .mpkg
	echo "    <background file=\"pkg_bg.jpg\" mime-type=\"image/jpeg\" scaling=\"proportional\" alignment=\"bottomleft\"/>" >> finalDist.xml
	tail -n +3 distribution.xml >> finalDist.xml

	# Build the .mpkg according to the final .xml file (and so all the .pkg)
	productbuild --distribution finalDist.xml --resources . --package-path . $(NAME_VERSION).mpkg

	mv $(NAME_VERSION).mpkg $(NAME_VERSION)/$(NAME_VERSION).mpkg
	rm -rf distribution.xml finalDist.xml nmap.pkg ncat.pkg ndiff.pkg nping.pkg nmap-update.pkg zenmap.pkg

check-%: stage-%
	if (find $* -perm -a+x -type f | xargs otool -L | grep -F "$(JHBUILD_PREFIX)"); then false; else echo "Libs are clean"; fi

export-%:
	rm -rf $*
# Using @BASE discards local changes.
	svn export .. $*

stage-nmap: export-$(NMAP_BUILD_DIR)
	cd $(NMAP_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --without-nping --without-nmap-update --with-openssl="$(JHBUILD_PREFIX)" --with-libz="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
	# LIB* is libssh2's name for *_LIBS
	make -C $(NMAP_BUILD_DIR) OPENSSL_LIBS="$(OPENSSL_STATIC)" LIBSSL="$(OPENSSL_STATIC)" ZLIB_LIBS="$(LIBZ_STATIC)" LIBZ="$(LIBZ_STATIC)"
	rm -rf $(NMAP_STAGING_DIR)
	make -C $(NMAP_BUILD_DIR) install DESTDIR="`pwd`/$(NMAP_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)" ZLIB_LIBS="$(LIBZ_STATIC)"

stage-ncat: export-$(NCAT_BUILD_DIR)
	cd $(NCAT_BUILD_DIR) && ./configure --without-zenmap --with-ncat --without-ndiff --without-nping --without-nmap-update --with-openssl="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
	make -C $(NCAT_BUILD_DIR) build-ncat OPENSSL_LIBS="$(OPENSSL_STATIC)"
	rm -rf $(NCAT_STAGING_DIR)
	make -C $(NCAT_BUILD_DIR) install-ncat DESTDIR="`pwd`/$(NCAT_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)"

stage-nping: export-$(NPING_BUILD_DIR)
	cd $(NPING_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --with-nping --without-nmap-update --with-openssl="$(JHBUILD_PREFIX)" $(CONFIGURE_ARGS)
	make -C $(NPING_BUILD_DIR) build-nping OPENSSL_LIBS="$(OPENSSL_STATIC)"
	rm -rf $(NPING_STAGING_DIR)
	make -C $(NPING_BUILD_DIR) install-nping DESTDIR="`pwd`/$(NPING_STAGING_DIR)" OPENSSL_LIBS="$(OPENSSL_STATIC)"

stage-nmap-update: export-$(NMAP_UPDATE_BUILD_DIR)
	cd $(NMAP_UPDATE_BUILD_DIR) && ./configure --without-zenmap --without-ncat --without-ndiff --without-nping --with-nmap-update --with-apr=$(JHBUILD_PREFIX) --with-subversion=$(JHBUILD_PREFIX) --with-serf=$(JHBUILD_PREFIX) --with-openssl=$(JHBUILD_PREFIX) $(CONFIGURE_ARGS)
	make -C $(NMAP_UPDATE_BUILD_DIR) build-nmap-update APR_LIBS="$(APR_STATIC)" SVN_LIBS="$(SVN_STATIC)" OPENSSL_LIBS="$(OPENSSL_STATIC)" MAC_FLAGS="$(MAC_FLAGS)"
	rm -rf $(NMAP_UPDATE_STAGING_DIR)
	make -C $(NMAP_UPDATE_BUILD_DIR) install-nmap-update DESTDIR="`pwd`/$(NMAP_UPDATE_STAGING_DIR)" APR_LIBS="$(APR_STATIC)" SVN_LIBS="$(SVN_STATIC)" OPENSSL_LIBS="$(OPENSSL_STATIC)" MAC_FLAGS="$(MAC_FLAGS)"

# make-bundle.sh uses these to build its authorization wrapper.
export CC ARCHFLAGS CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

stage-zenmap: export-$(ZENMAP_BUILD_DIR)
	cd $(ZENMAP_BUILD_DIR)/zenmap && install_scripts/macosx/make-bundle.sh
	rm -rf $(ZENMAP_STAGING_DIR)
	mkdir -p $(ZENMAP_STAGING_DIR)
	cp -rf $(ZENMAP_BUILD_DIR)/zenmap/dist/Zenmap.app $(ZENMAP_STAGING_DIR)

stage-ndiff: export-$(NDIFF_BUILD_DIR)
	mkdir -p $(NDIFF_STAGING_DIR)/usr/local/bin
	mkdir -p $(NDIFF_STAGING_DIR)/usr/local/share/man/man1
	cp $(NDIFF_BUILD_DIR)/ndiff/ndiff.py $(NDIFF_STAGING_DIR)/usr/local/bin/ndiff
	cp $(NDIFF_BUILD_DIR)/ndiff/docs/ndiff.1 $(NDIFF_STAGING_DIR)/usr/local/share/man/man1/

COPYING.formatted:
# Use the license formatter from the Windows installer.
	../mswin32/license-format/licformat.sh ../COPYING > $@

clean:
	rm -rf $(IMAGE_STAGING_DIR)
	rm -rf $(NMAP_BUILD_DIR)
	rm -rf $(NMAP_STAGING_DIR)
	rm -rf $(ZENMAP_BUILD_DIR)
	rm -rf $(ZENMAP_STAGING_DIR)
	rm -rf $(NCAT_BUILD_DIR)
	rm -rf $(NCAT_STAGING_DIR)
	rm -rf $(NDIFF_BUILD_DIR)
	rm -rf $(NDIFF_STAGING_DIR)
	rm -rf $(NPING_BUILD_DIR)
	rm -rf $(NPING_STAGING_DIR)
	rm -rf $(NMAP_UPDATE_BUILD_DIR)
	rm -rf $(NMAP_UPDATE_STAGING_DIR)
	rm -f COPYING.formatted
	rm -f $(IMAGE_NAME)

.PHONY: clean export-% stage-%

=== mswin32/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 MAKENSIS="/cygdrive/c/Program Files/NSIS/makensis.exe"
-VCEXPRESS := $(shell reg query "HKEY_CLASSES_ROOT\\Applications\\devenv.exe\\shell\\edit\\command" | egrep -i '[A-Z]:\\' | cut -d\" -f2 | sed 's%\\%/%g' | tr -d '\n')
-SIGNTOOL := $(shell reg query "HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\Microsoft SDKs\\Windows\\v8.1" /v "InstallationFolder" | egrep InstallationFolder | cut -d ' ' -f13- | sed 's%\\%/%g' | tr -d '\n' | sed 's%$$%bin/x86/signtool.exe%')
+# VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express
+VCEXPRESS := $(shell reg query "HKEY_CLASSES_ROOT\\Applications\\devenv.exe\\shell\\edit\\command" | egrep -i '[A-Z]:\\' | cut -d\" -f2 | sed 's%\\%/%g' | tr -d '\r\n')
+SIGNTOOL := $(shell reg query "HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\Microsoft SDKs\\Windows\\v8.1" /v "InstallationFolder" | egrep InstallationFolder | cut -d ' ' -f13- | sed 's%\\%/%g' | tr -d '\r\n' | sed 's%$$%bin/x86/signtool.exe%')
 export NMAP_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
 export NMAP_NUM_VERSION := $(shell grep '^\#[ \t]*define[ \t]\+NMAP_NUM_VERSION' ../nmap.h | sed -e 's/.*"\(.*\)".*/\1/' -e 'q')
 export NPCAP_VERSION := $(shell ls npcap-*.exe | sed -e 's/npcap-\([-r0-9.]*\)\.exe/\1/' -e 'q')
@@ -13,19 +14,21 @@
 # escape for right side of sed regex replace
 SIGNTOOL_SUBST = $(shell echo '"$(SIGNTOOL)" $(SIGNTOOL_ARGS)' | sed -e 's/"/$$\\"/g' -e 's/[\/&]/\\&/g' )
 
-winbuild: nmap.rc nsis/Nmap.nsi LICENSE
-# VCExpress.exe is devenv.com with the commercial Visual Studio suite instead of VC++ Express
+bundle-nmap: bundle-zip bundle-nsis
 
+build-nmap: nmap.sln nmap.rc
 	"$(VCEXPRESS)" nmap.sln /build release /out $(LOGLOC)
 	"$(VCEXPRESS)" nmap.sln /build release /project nmap-update /out $(LOGLOC)
+
+stage-nmap: build-nmap LICENSE
 	rm -rf nmap-$(NMAP_VERSION)
-	rm -f nmap-$(NMAP_VERSION)-win32.zip
 	mkdir nmap-$(NMAP_VERSION)
 	cd Release && cp -r ../../CHANGELOG ../../COPYING nmap-mac-prefixes nmap-os-db nmap-payloads nmap-protocols nmap-rpc nmap-service-probes nmap-services nmap.exe nmap.xsl nse_main.lua ../nmap_performance.reg ../../README-WIN32 ../../docs/3rd-party-licenses.txt ../nmap-$(NMAP_VERSION)/
 # Use "cmd /c copy" rather than "cp" to preserve Windows ACLs. Using
 # "cp" means that the copied DLLs don't have the same ACL and cause an
 # error on startup: 0xc0000022.
 	cmd /c copy $(subst /,\\,$(NMAP_MSWIN32_AUX))\\OpenSSL\\bin\\*.dll nmap-$(NMAP_VERSION)
+	cmd /c copy Release\\libssh2.dll nmap-$(NMAP_VERSION)
 	mkdir nmap-$(NMAP_VERSION)/scripts
 	cd Release && cp -f $(NSE_FILES) ../nmap-$(NMAP_VERSION)/scripts/
 	cd Release && for f in `find nselib -name .svn -prune -o -type d -print`; do \
@@ -46,20 +49,31 @@
 # Install the ndiff batch file wrapper in the zip distribution.
 	cp ../ndiff/ndiff.py nmap-$(NMAP_VERSION)/ndiff.py
 	cp python-wrap.bat nmap-$(NMAP_VERSION)/ndiff.bat
-	"$(SIGNTOOL)" $(SIGNTOOL_ARGS) nmap-$(NMAP_VERSION)/nmap.exe nmap-$(NMAP_VERSION)/ncat.exe nmap-$(NMAP_VERSION)/nping.exe nmap-$(NMAP_VERSION)/nmap-update.exe
-	zip -r nmap-$(NMAP_VERSION)-win32.zip nmap-$(NMAP_VERSION)
-# Remove ndiff.py and ndiff.bat for the installer because it has ndiff.exe.
-	rm -f nmap-$(NMAP_VERSION)/ndiff.py nmap-$(NMAP_VERSION)/ndiff.bat
 	cd ../zenmap && install_scripts/windows/copy_and_compile.bat
 	cp -R ../zenmap/dist/* nmap-$(NMAP_VERSION)/
-	"$(SIGNTOOL)" $(SIGNTOOL_ARGS) nmap-$(NMAP_VERSION)/ndiff.exe nmap-$(NMAP_VERSION)/zenmap.exe
 	cp ../zenmap/README nmap-$(NMAP_VERSION)/ZENMAP_README
 	cp ../zenmap/COPYING_HIGWIDGETS nmap-$(NMAP_VERSION)
 	cp ../ndiff/README nmap-$(NMAP_VERSION)/NDIFF_README
+
+sign-files: nmap-$(NMAP_VERSION)/nmap.exe nmap-$(NMAP_VERSION)/ncat.exe nmap-$(NMAP_VERSION)/nping.exe nmap-$(NMAP_VERSION)/nmap-update.exe nmap-$(NMAP_VERSION)/ndiff.exe nmap-$(NMAP_VERSION)/zenmap.exe
+	"$(SIGNTOOL)" $(SIGNTOOL_ARGS) $^
+
+bundle-nsis: nsis/Nmap.nsi sign-files
 	cp nsis/AddToPath.nsh nsis/Nmap.nsi nsis/shortcuts.ini nsis/final.ini nmap-$(NMAP_VERSION)
 	$(MAKENSIS) nmap-$(NMAP_VERSION)/Nmap.nsi
 	mv nmap-$(NMAP_VERSION)/NmapInstaller.exe nmap-$(NMAP_VERSION)-setup.exe
 	"$(SIGNTOOL)" $(SIGNTOOL_ARGS) nmap-$(NMAP_VERSION)-setup.exe
+
+bundle-zip: sign-files
+	rm -f nmap-$(NMAP_VERSION)-win32.zip
+	zip -x nmap-$(NMAP_VERSION)/ZENMAP_README nmap-$(NMAP_VERSION)/zenmap/\* \
+	  nmap-$(NMAP_VERSION)/zenmap.exe nmap-$(NMAP_VERSION)/share/\* \
+	  nmap-$(NMAP_VERSION)/python27.dll nmap-$(NMAP_VERSION)/py2exe/\* \
+	  nmap-$(NMAP_VERSION)/COPYING_HIGWIDGETS nmap-$(NMAP_VERSION)/w9xpopen.exe \
+	  nmap-$(NMAP_VERSION)/ndiff.exe nmap-$(NMAP_VERSION)/\*.ini \
+	  nmap-$(NMAP_VERSION)/Uninstall.exe nmap-$(NMAP_VERSION)/\*.nsi \
+	  nmap-$(NMAP_VERSION)/\*.nsh \
+	  -r nmap-$(NMAP_VERSION)-win32.zip nmap-$(NMAP_VERSION)
 
 nmap.rc: nmap.rc.in ../nmap.h
 	sed -e '1i// Automatically generated from $<.' \

=== zenmap/share/zenmap/locale/Makefile ===
LINGUAS = $(patsubst %.po,%,$(wildcard *.po))

TOPDIR = ../../..
SOURCEFILES = zenmap
SOURCEDIRS = zenmapCore zenmapGUI radialnet
PROFILE_EDITOR_XML = share/zenmap/misc/profile_editor.xml

XGETTEXT = xgettext
MSGID_BUGS_ADDRESS = dev@nmap.org

ZENMAP_POT = zenmap.pot
TMP_POT = tmp.pot

TMP_PO = tmp.po

all:
	@echo 'Run "make update-pot" to update $(ZENMAP_POT).'
	@echo 'Run "make <XX>.po" to update <XX>.po from $(ZENMAP_POT).'
	@echo 'Run "make update-mo" to update all MO files from PO files.'

update-pot:
	(echo $(SOURCEFILES); cd $(TOPDIR) && find $(SOURCEDIRS) -name '*.py') \
	  | $(XGETTEXT) -D $(TOPDIR) --language=python --msgid-bugs-address=$(MSGID_BUGS_ADDRESS) -f - -o $(TMP_POT)
	./xgettext-profile_editor.py -D $(TOPDIR) $(PROFILE_EDITOR_XML) >> $(TMP_POT)
	msguniq $(TMP_POT) | msgmerge -U --backup=none $(ZENMAP_POT) -
	rm -f $(TMP_POT)

update-mo: $(addsuffix /LC_MESSAGES/zenmap.mo,$(LINGUAS))

%.po: $(ZENMAP_POT)
	cp -f $@ $(TMP_PO)
	msgmerge -N $(TMP_PO) $< | msgattrib --no-obsolete -o $@
	rm -f $(TMP_PO)

%/LC_MESSAGES/zenmap.mo: %.po
	mkdir -p $*/LC_MESSAGES
	msgfmt $< -o $@

.PHONY: update-pot

=== debian/changelog ===
nmap (7.60-1ubuntu5) bionic; urgency=medium

  * Merge change from Debian:
    - No longer Recommend gksu as the `su-to-root` script is not part of that
      package (LP: #1740618)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Apr 2018 21:11:39 -0400

nmap (7.60-1ubuntu4) bionic; urgency=medium

  * debian/control: Add dependency menu for zenmap. (LP #126331)

 -- David Britton <david.britton@canonical.com>  Sat, 17 Feb 2018 21:19:25 -0700

nmap (7.60-1ubuntu3) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:25 +0000

nmap (7.60-1ubuntu2) bionic; urgency=medium

  * nmap: Suggest ndiff instead of recommending it. ndiff is implemented in
    Python2 and not yet ported to Python3. See LP #1735376.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Dec 2017 14:45:45 +0100

nmap (7.60-1ubuntu1) artful; urgency=medium

  * Drop build dependency on libssh2-1-dev, configure --with-libssh2=included.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 13:48:39 +0200

nmap (7.60-1) unstable; urgency=medium

  * New upstream version 7.60
  * Rebase patches
  * Add libssh2 build-dependency to avoid using the embedded copy

 -- Hilko Bengen <bengen@debian.org>  Sat, 12 Aug 2017 00:34:12 +0200

nmap (7.50-1) unstable; urgency=medium

  * New upstream version 7.50.
  * Bump Standards-Version to 4.0.0.
  * Remove unused lintian overrides.

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 17 Jun 2017 21:04:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nmap
 Section: net
 Priority: extra
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
            Samuel Henrique <samueloph@gmail.com>
 Build-Depends: bison,
@@ -13,10 +14,11 @@
                liblua5.3-dev,
                libpcap0.8-dev,
                libpcre3-dev,
+#               libssh2-1-dev,
                libssl-dev,
                lua-lpeg-dev,
                python (>=2.3.5-7)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://nmap.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/nmap.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/nmap.git
@@ -26,7 +28,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: ndiff
+Suggests: ndiff
 Description: The Network Mapper
  Nmap is a utility for network exploration or security auditing. It
  supports ping scanning (determine which hosts are up), many port
@@ -44,6 +46,7 @@
          python (>= 2.5) | python-pysqlite2,
          python-gobject-2 | python-gobject,
          python-gtk2,
+         menu, 
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -51,7 +54,6 @@
           ${python:Provides}
 Conflicts: nmapfe
 Replaces: nmapfe
-Recommends: gksu
 Description: The Network Mapper Front End
  Zenmap is an Nmap frontend. It is meant to be useful for advanced users
  and to make Nmap easy to use by beginners. It was originally derived

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with=autoreconf,python2
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6
+	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6 --with-libssh2=included
 
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=",uversionmangle=s/(beta|test)/~\\1/i" \
    http://nmap.org/dist/nmap-(\d+\..*)\.tar.*

## nmap 7.60+dfsg2

=== debian/changelog ===
nmap (7.60+dfsg2-1) unstable; urgency=medium

  * Repack source: Remove *.class files
  * Include *.class (for jdwp-exec.nse), nmap_service.exe (for
    smb-psexec.nse), built from source

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Sep 2017 14:53:30 +0200

nmap (7.60+dfsg1-2) unstable; urgency=low

  * Team upload.
  * Add new patch (0006-move-manual-defines.patch) which moves manually added
    defines from config.h.in (where they are overwritten by dh-autoreconf) to
    a proper location.  Fixes FTBFS on kfreebsd-any architectures.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Mon, 18 Sep 2017 23:29:18 +0200

nmap (7.60+dfsg1-1) unstable; urgency=low

  * Team upload.
  * Repack source:
    - Remove non-DFSG compliant files.
    - Remove unused libraries.
    - Update debian/watch.
  * debian/watch:
    - Correct syntax error.
    - Check upstream's pgp signatures.
  * Override lintian warnings:
    - Description synopsis starting with "The Network Mapper" is ok.
    - Windows devel files will be kept until upstream drops them.
  * Put architecture independent files into new nmap-common package (marked as
    Multi-Arch: foreign).
  * debian/control:
    - Change priority from extra (deprecated) to optional.
    - Bump Standards-Version to 4.1.0.
    - Add new suggestion: nmap suggests zenmap, the graphical frontend.
    - Zenmap needs ndiff, add the missing dependency.
    - Use Breaks (instead of Conflicts) for znmap's versioned dependency on
      nmap as this weaker restriction is sufficient.
    - Clean up versioned python2 dependencies (there's only 2.7 now).
    - Move python-pysqlite2 to Recommends as zenmap works without it (but
      loses useful features like searching and database saving).
    - No longer Recommend gksu as the `su-to-root` script is not part of that
      package.
  * debian/patches:
    - Added new patch (0004-library-versions.patch) so nmap reports correct
      library versions.
    - Add new patch (0005-autotools.patch) to fix autotools problems and
      allow refreshing all autotools generated files with `autoreconf -fi`.
  * debian/rules:
    - Drop --with=autoreconf, this is the default in debhelper compatibility
      level 10.
    - Add STRIP=/bin/true to dh_auto_configure to generate useful dbgsym
      packages.
    - Update the dh-autoreconf call so all autotools geneated files used
      in the build are refreshed.
  * Migrate debian/copyright to machine readable DEP-5 format.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Fri, 15 Sep 2017 22:51:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nmap
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
            Samuel Henrique <samueloph@gmail.com>
 Build-Depends: bison,
@@ -14,21 +13,25 @@
                liblua5.3-dev,
                libpcap0.8-dev,
                libpcre3-dev,
-#               libssh2-1-dev,
+               libssh2-1-dev,
                libssl-dev,
                lua-lpeg-dev,
-               python (>=2.3.5-7)
-Standards-Version: 4.0.0
+               python
+Build-Depends-Indep: default-jdk-headless,
+                     gcc-mingw-w64-i686
+Standards-Version: 4.1.0
 Homepage: http://nmap.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/nmap.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/nmap.git
 
 Package: nmap
 Architecture: any
-Depends: ${misc:Depends},
+Depends: nmap-common (= ${source:Version}),
+         ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Suggests: ndiff
+Recommends: ndiff
+Suggests: zenmap
 Description: The Network Mapper
  Nmap is a utility for network exploration or security auditing. It
  supports ping scanning (determine which hosts are up), many port
@@ -40,20 +43,39 @@
  supported in both GUI and commandline modes. Several popular handheld
  devices are also supported, including the Sharp Zaurus and the iPAQ.
 
+Package: nmap-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: nmap
+Replaces: nmap (<< 7.60+dfsg1-1~)
+Breaks: nmap (<< 7.60+dfsg1-1~)
+Description: Architecture independent files for nmap
+ Nmap is a utility for network exploration or security auditing. It
+ supports ping scanning (determine which hosts are up), many port
+ scanning techniques, version detection (determine service protocols
+ and application versions listening behind ports), and TCP/IP
+ fingerprinting (remote host OS or device identification). Nmap also
+ offers flexible target and port specification, decoy/stealth scanning,
+ sunRPC scanning, and more. Most Unix and Windows platforms are
+ supported in both GUI and commandline modes. Several popular handheld
+ devices are also supported, including the Sharp Zaurus and the iPAQ.
+ .
+ This package contains the nmap files shared by all architectures.
+
 Package: zenmap
 Architecture: all
-Depends: nmap,
-         python (>= 2.5) | python-pysqlite2,
+Depends: ndiff,
+         nmap,
          python-gobject-2 | python-gobject,
          python-gtk2,
-         menu, 
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Provides: nmapfe,
-          ${python:Provides}
+Provides: nmapfe
 Conflicts: nmapfe
 Replaces: nmapfe
+Recommends: python-pysqlite2
 Description: The Network Mapper Front End
  Zenmap is an Nmap frontend. It is meant to be useful for advanced users
  and to make Nmap easy to use by beginners. It was originally derived
@@ -62,8 +84,8 @@
 Package: ndiff
 Architecture: all
 Recommends: nmap
-Conflicts: nmap (<< ${source:Version})
-Breaks: zenmap (<< 6.47-5~)
+Breaks: nmap (<< ${source:Version}),
+        zenmap (<< 6.47-5~)
 Replaces: zenmap (<< 6.47-5~)
 Depends: python-lxml,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python2

override_dh_auto_clean:
	dh_auto_clean
	rm -f nselib/data/jdwp-class/*.class nselib/data/psexec/*.exe

override_dh_auto_configure:
	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6 STRIP=/bin/true

override_dh_auto_build-indep:
	dh_auto_build
	cd nselib/data/jdwp-class && /usr/lib/jvm/default-java/bin/javac *.java
	cd nselib/data/psexec && i686-w64-mingw32-gcc -o nmap_service.exe nmap_service.c

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/share/man/pt_PT debian/tmp/usr/share/man/pt

override_dh_install:
	dh_install --fail-missing -X/usr/bin/uninstall_ -Xca-bundle.crt -X.pyc

=== debian/watch ===
version=4
opts="uversionmangle=s/(beta|test)/~\\1/i,pgpsigurlmangle=s%/dist/(.*)$%/dist/sigs/\\1.asc%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,repack,compression=xz" \
    http://nmap.org/dist/nmap-(\d+\..*)\.tar.*

## nmap 7.70%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: nmap
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
-           Samuel Henrique <samueloph@gmail.com>
+           Samuel Henrique <samueloph@debian.org>
 Build-Depends: bison,
-               debhelper (>=10),
+               debhelper (>=11),
                dh-python,
                flex,
                libgtk2.0-dev,
@@ -19,10 +19,10 @@
                python
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
-Standards-Version: 4.1.0
-Homepage: http://nmap.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/nmap.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/nmap.git
+Standards-Version: 4.2.1
+Homepage: https://nmap.org/
+Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmap
 
 Package: nmap
 Architecture: any
@@ -30,8 +30,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: ndiff
-Suggests: zenmap
+Suggests: ncat, ndiff, zenmap
 Description: The Network Mapper
  Nmap is a utility for network exploration or security auditing. It
  supports ping scanning (determine which hosts are up), many port
@@ -75,7 +74,8 @@
 Provides: nmapfe
 Conflicts: nmapfe
 Replaces: nmapfe
-Recommends: python-pysqlite2
+Recommends: policykit-1,
+            python-pysqlite2
 Description: The Network Mapper Front End
  Zenmap is an Nmap frontend. It is meant to be useful for advanced users
  and to make Nmap easy to use by beginners. It was originally derived
@@ -92,4 +92,17 @@
          ${python:Depends}
 Description: The Network Mapper - result compare utility
  Ndiff is a tool to aid in the comparison of Nmap scans. It takes two
- Nmap XML output files and prints the differences between them.
+ Nmap XML output files and prints the differences between them them:
+ hosts coming up and down, ports becoming open or closed, and things like that.
+ It can produce output in human-readable text or machine-readable XML formats.
+
+Package: ncat
+Architecture: any
+Breaks: nmap (<< 7.70+dfsg1-2~)
+Replaces: nmap (<< 7.70+dfsg1-2~)
+Depends: ${misc:Depends},  ${shlibs:Depends}
+Description: NMAP netcat reimplementation
+ ncat is a reimplementation of Netcat by the NMAP project, providing
+ most of the features present in the original implementations, along
+ with some new features such as IPv6 and SSL support. Port scanning
+ support has been removed.

## nmap 7.70+dfsg1

=== debian/changelog ===
nmap (7.70+dfsg1-3) unstable; urgency=medium

  * Make ncat Architecture: any
  * Fix ncat description

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Apr 2018 11:49:11 +0200

nmap (7.70+dfsg1-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Bump DH to 11
  * d/copyright: update debian/* entry

  [ Hilko Bengen ]
  * Ship ncat as separate package, provide nc alternative
    (Closes: #881639, #560377)

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Apr 2018 22:17:31 +0200

nmap (7.70+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Lukas Schwaighofer ]
  * Leave embedded copy of libssh2 in the source package to ease packaging for
    Ubuntu (which requires the embedded copy).
    - Update debian/copyright with the libssh2 copyright details.
  * Update debian/rules to use the included libssh2 copy when builing for
    Ubuntu and its derivates.

  [ Samuel Henrique ]
  * d/[control|watch]: update upstream homepage to https

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * New upstream version 7.70+dfsg1
  * Bump Standards-Version
  * nmap: Suggest ndiff, instead of recommending it (Closes: #885871)
  * Update patches

 -- Hilko Bengen <bengen@debian.org>  Tue, 27 Mar 2018 21:48:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
-           Samuel Henrique <samueloph@debian.org>
+           Samuel Henrique <samueloph@gmail.com>
 Build-Depends: bison,
                debhelper (>=11),
                dh-python,
@@ -19,7 +19,7 @@
                python
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
-Standards-Version: 4.2.1
+Standards-Version: 4.1.3
 Homepage: https://nmap.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmap
@@ -74,8 +74,7 @@
 Provides: nmapfe
 Conflicts: nmapfe
 Replaces: nmapfe
-Recommends: policykit-1,
-            python-pysqlite2
+Recommends: python-pysqlite2
 Description: The Network Mapper Front End
  Zenmap is an Nmap frontend. It is meant to be useful for advanced users
  and to make Nmap easy to use by beginners. It was originally derived
@@ -92,9 +91,7 @@
          ${python:Depends}
 Description: The Network Mapper - result compare utility
  Ndiff is a tool to aid in the comparison of Nmap scans. It takes two
- Nmap XML output files and prints the differences between them them:
- hosts coming up and down, ports becoming open or closed, and things like that.
- It can produce output in human-readable text or machine-readable XML formats.
+ Nmap XML output files and prints the differences between them.
 
 Package: ncat
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	VENDOR_CONFIGURE_OPTIONS = --with-libssh2=included
+endif
 
 %:
 	dh $@ --with=python2
@@ -11,7 +15,7 @@
 	rm -f nselib/data/jdwp-class/*.class nselib/data/psexec/*.exe
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6 STRIP=/bin/true
+	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6 STRIP=/bin/true $(VENDOR_CONFIGURE_OPTIONS)
 
 override_dh_auto_build-indep:
 	dh_auto_build

=== debian/watch ===
version=4
opts="uversionmangle=s/(beta|test)/~\\1/i,pgpsigurlmangle=s%/dist/(.*)$%/dist/sigs/\\1.asc%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,repack,compression=xz" \
    https://nmap.org/dist/nmap-(\d+\..*)\.tar.*
